package pmicrovenus;
public class Salida extends Casilla {
    
    private int premio;
    
          
      public Salida() {          
    }
      
    public Salida(int id, String des, int px, int py, int premio) {
        super(id,des,px,py); 
        setPremio(premio);
    }

     public void pasa(Jugador j) {
          System.out.println("PASO POR LA SALIDA, COBRAS +" + getPremio());
          j.ingreso(getPremio());         
    }
       
    public void accion(Jugador j) {
          System.out.println("Has caido en la casilla numero " + super.getNum() + ", " + super.getDescripcion());
          System.out.println("PASO POR LA SALIDA, COBRAS +" + getPremio());
          j.ingreso(getPremio());
    }

    public int getPremio() {
        return premio;
    }

    public void setPremio(int premio) {
        this.premio = premio;
    }

}
